# getConnectionSessionDiveInContent

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/dive-in-content |

| Field | Value |
|---|---|
| operationId | getConnectionSessionDiveInContent |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /dive-in-content |
| tags | `Session Content` |
| summary | Get connection session dive-in content |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| intent | query | true | string | selected session intent |
| phaseStep | query | true | integer | specific phase step to retrieve content for |
| sessionId | query | false | string:uuid | session id to apply curated discussion items (phaseStep=2) |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Dive-in content blocks for the phase step | #/components/schemas/DiveInContentResponseDto |
| 400 | Missing or invalid query parameters | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Session not found or the caller is not a member (sessionId path only) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Session not found",
  "error": "SESSION_NOT_FOUND"
}
```
